Bug 798074 - Review Request: z80dasm - Z80 Disassembler
Summary: Review Request: z80dasm - Z80 Disassembler
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael S.
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-02-28 00:47 UTC by Eric Smith
Modified: 2012-04-12 02:07 UTC (History)
3 users (show)

Fixed In Version: z80dasm-1.1.2-1.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-31 03:23:46 UTC
Type: ---
misc: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Eric Smith 2012-02-28 00:47:39 UTC
Spec URL: http://fedorapeople.org/~brouhaha/z80dasm/z80dasm.spec
SRPM URL: http://fedorapeople.org/~brouhaha/z80dasm/z80dasm-1.1.2-1.fc16.src.rpm
Description:
z80dasm is a disassembler for the Zilog Z80 microprocessor and
compatibles. It can be used to reverse engineer programs and operating
systems for 1980's microcomputers using this processor architecture
(for example ZX81, Spectrum, Galaksija and many others).  Generated
assembly code can be assembled back with a number of Z80
assemblers. Compatibility with z80asm was thoroughly tested.

NOTE: This package requires z80asm to build. z80asm has been submitted for review (# 797740), but has not yet been approved.

Comment 1 Eric Smith 2012-03-11 07:07:01 UTC
The prerequisite z80asm has been approved and updates are in testing for F16, F17, and EL6.  Buildroot overrides are in place to allow building z80dasm in koji.

Comment 2 Michael S. 2012-03-19 12:14:07 UTC
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[x]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.
[x]: MUST Package is not relocatable.


==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/misc/review/798074/z80dasm-1.1.2.tar.gz :
  MD5SUM this package     : d082915a086564de0a1acc8715897ec1
  MD5SUM upstream package : d082915a086564de0a1acc8715897ec1

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Patch0: z80dasm-1.1.2-16-bit-addr.patch (z80dasm-1.1.2-16-bit-
     addr.patch)
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.


Generated by fedora-review 0.1.3
External plugins:

$ rpmlint *rpm
z80dasm.src: W: spelling-error %description -l en_US disassembler -> disassemble, disassembles, disassembled
z80dasm.x86_64: W: spelling-error %description -l en_US disassembler -> disassemble, disassembles, disassembled
2 packages and 0 specfiles checked; 0 errors, 2 warnings.


No problem found in the review, the software work fine ( even if I didn't validate exactly the output of the dissambler ), the 2 rpmlint are just false positive in the dictionary.

So the package is approved.

Comment 3 Eric Smith 2012-03-19 17:26:50 UTC
New Package SCM Request
=======================
Package Name: z80dasm
Short Description: Z80 Disassembler
Owners: brouhaha
Branches: f16 f17 el6
InitialCC:

Comment 4 Gwyn Ciesla 2012-03-19 17:36:10 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2012-03-19 18:20:56 UTC
z80dasm-1.1.2-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/z80dasm-1.1.2-1.el6

Comment 6 Fedora Update System 2012-03-19 18:22:43 UTC
z80dasm-1.1.2-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/z80dasm-1.1.2-1.fc17

Comment 7 Fedora Update System 2012-03-19 18:23:35 UTC
z80dasm-1.1.2-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/z80dasm-1.1.2-1.fc16

Comment 8 Fedora Update System 2012-03-20 06:06:19 UTC
z80dasm-1.1.2-1.fc17 has been pushed to the Fedora 17 testing repository.

Comment 9 Fedora Update System 2012-03-31 03:23:46 UTC
z80dasm-1.1.2-1.fc16 has been pushed to the Fedora 16 stable repository.

Comment 10 Fedora Update System 2012-04-05 03:03:29 UTC
z80dasm-1.1.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 11 Fedora Update System 2012-04-12 02:07:05 UTC
z80dasm-1.1.2-1.fc17 has been pushed to the Fedora 17 stable repository.


Note You need to log in before you can comment on or make changes to this bug.